<div class="container">
  <h1>Cybersource Secure Acceptance</h1>
  <form ngNoForm id="payment_confirmation" action="https://testsecureacceptance.cybersource.com/pay" method="post">
    <div *ngFor="let c of controls;">
      <input type="hidden" id="{{c.key}}" name="{{c.key}}" value="{{c.value}}" />
    </div>

    <div id="creditCardSection">
      <div class="card">
        <div class="card-block">
<!--          <h6 class="card-subtitle mb-2 text-muted">Fields that will be sent directly to Cybersource.</h6>-->
          <div class="form-group row">
            <div class="col-sm-2 col-form-label">Card Type</div>
            <div class="col-sm-4">
              <input type="text" class="form-control" [(ngModel)]="data.card_type" name="card_type">
            </div>
<!--            <div class="col-sm-2 col-form-label">Card Number</div>-->
            <div class="col-sm-4">
              <input type="hidden" class="form-control" [(ngModel)]="data.card_number" name="card_number">
            </div>
          </div>
          <div class="form-group row">
<!--            <div class="col-sm-2 col-form-label">Expiry Date</div>-->
            <div class="col-sm-4">
              <input type="hidden" class="form-control" [(ngModel)]="data.card_expiry_date" name="card_expiry_date">
            </div>
          </div>
          <div class="form-group row">
            <div class="col-sm-4 col-form-label">
              <button type="submit" id="submit" class="btn btn-primary">Submit</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </form>
</div>
<!--{{this.data.access_key}}-->
<!--<form method="post" action="https://testsecureacceptance.cybersource.com/pay" ngNoForm>-->
<!--    <input type="text" id="access_key" name="access_key" value="{{this.data.access_key}}"/>-->
<!--    <input type="text" id="profile_id" name="profile_id" value="{{this.data.profile_id}}"/>-->
<!--    <input type="text" id="transaction_uuid" name="transaction_uuid" value="{{this.data.transaction_uuid}}"/>-->
<!--    <input type="text" id="signed_field_names" name="signed_field_names" value="{{this.data.signed_field_names}}"/>-->
<!--    <input type="text" id="unsigned_field_names" name="unsigned_field_names" value="{{this.data.unsigned_field_names}}"/>-->
<!--    <input type="text" id="signed_date_time" name="signed_date_time" value="{{this.data.signed_date_time}}"/>-->
<!--    <input type="text" id="locale" name="locale" value="{{this.data.locale}}"/>-->
<!--    <input type="text" id="auth_trans_ref_no" name="auth_trans_ref_no" value="{{this.data.auth_trans_ref_no}}"/>-->
<!--    <input type="text" id="amount" name="amount" value="{{this.data.amount}}"/>-->
<!--    <input type="text" id="bill_to_forename" name="bill_to_forename" value="{{this.data.bill_to_forename}}"/>-->
<!--    <input type="text" id="bill_to_surname" name="bill_to_surname" value="{{this.data.bill_to_surname}}"/>-->
<!--    <input type="text" id="bill_to_email" name="bill_to_email" value="{{this.data.bill_to_email}}"/>-->
<!--    <input type="text" id="bill_to_phone" name="bill_to_phone" value="{{this.data.bill_to_phone}}"/>-->
<!--    <input type="text" id="bill_to_address_line1" name="bill_to_address_line1" value="{{this.data.bill_to_address_line1}}"/>-->
<!--    <input type="text" id="bill_to_address_city" name="bill_to_address_city" value="{{this.data.bill_to_address_city}}"/>-->
<!--    <input type="text" id="bill_to_address_state" name="bill_to_address_state" value="{{this.data.bill_to_address_state}}"/>-->
<!--    <input type="text" id="bill_to_address_country" name="bill_to_address_country" value="{{this.data.bill_to_address_country}}"/>-->
<!--    <input type="text" id="bill_to_address_postal_code" name="bill_to_address_postal_code" value="{{this.data.bill_to_address_postal_code}}"/>-->
<!--    <input type="text" id="transaction_type" name="transaction_type" value="{{this.data.transaction_type}}"/>-->
<!--    <input type="text" id="reference_number" name="reference_number" value="{{this.data.reference_number}}"/>-->
<!--    <input type="text" id="currency" name="currency" value="{{this.data.currency}}"/>-->
<!--    <input type="text" id="payment_method" name="payment_method" value="{{this.data.payment_method}}"/>-->
<!--    <input type="text" id="signature" name="signature" value="{{this.data.signature}}"/>-->
<!--    <input type="text" id="card_type" name="card_type" value=""/>-->
<!--    <input type="text" id="card_number" name="card_number" value=""/>-->
<!--    <input type="text" id="card_expiry_date" name="card_expiry_date" value=""/>-->
<!--    <button id="submit_button" type="submit" value="Submit">Submit</button>-->
<!--</form>-->